org.apache.commons.cli

## Class BasicParser

- java.lang.Object
- - org.apache.commons.cli.Parser
  - - org.apache.commons.cli.BasicParser

All Implemented Interfaces:
  CommandLineParser

Deprecated.
since 1.3, use the `DefaultParser` instead

    @Deprecated
    public class BasicParser
    extends Parser

The class BasicParser provides a very simple implementation of the `flatten` method.

Version:
  $Id: BasicParser.java 1443102 2013-02-06 18:12:16Z tn $

### Field Summary

### Fields inherited from class org.apache.commons.cli.Parser

`cmd`

### Constructor Summary

Constructors
Constructor and Description
`BasicParser()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected String[]` `flatten(Options options, String[] arguments, boolean stopAtNonOption)` Deprecated. A simple implementation of `Parser`'s abstract `flatten` method.

### Methods inherited from class org.apache.commons.cli.Parser

`checkRequiredOptions, getOptions, getRequiredOptions, parse, parse, parse, parse, processArgs, processOption, processProperties, setOptions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicParser

    public BasicParser()

Deprecated.

### Method Detail

#### flatten

    protected String[] flatten(Options options,
                               String[] arguments,
                               boolean stopAtNonOption)

Deprecated.

A simple implementation of `Parser`'s abstract `flatten` method.

Note: `options` and `stopAtNonOption` are not used in this `flatten` method.

Specified by:
  `flatten` in class `Parser`
Parameters:
  `options` - The command line `Options`
  `arguments` - The command line arguments to be parsed
  `stopAtNonOption` - Specifies whether to stop flattening when an non option is found.
Returns:
  The `arguments` String array.